﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SystemLead.Project.LK.Server.BZSWeb.Helpers
{
    using Microsoft.EntityFrameworkCore;
    using SystemLead.Project.LK.Server.BZSWeb.Models;

    public class CleanTrackingHelper
    {
        public static void Clean<T>(MyDbContext context) where T : class
        {
            foreach (var fooXItem in context.Set<T>().Local)
            {
                context.Entry(fooXItem).State = EntityState.Detached;
            }
        }
    }
}
